View Issue Details

IDProjectCategoryView StatusLast Update
0001923Industrial-Craft²E-Net, cabling, storage/transformer blockspublic2016-08-25 00:49
ReporterwhatthedrunkAssigned ToAroma1997 
PriorityimmediateSeveritycrashReproducibilityrandom
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001923: java.util.ConcurrentModificationException at java.util.ArrayList$Itr.checkForComodification
Descriptionhttp://pastebin.com/Lk6iAtbw

Server crashes when some users login. Resetting chunks seems to work sometimes but every crash report mentions IC2 even if there is no IC2 in those chunks.
TagsNo tags attached.
Minecraft Version1.10.2

Relationships

has duplicate 0001935 resolvedAroma1997 Concurrent Modification Exception on World Load - world unplayable 
has duplicate 0001941 resolvedAroma1997 CME upon world load 
has duplicate 0001943 resolvedAroma1997 Crash with ic2.core.energy.leg.EnergyNetLocalLeg.tickStart(EnergyNetLocalLeg.java:162) 
has duplicate 0001962 resolvedAroma1997 Server Only Crash On Startup (API Errors with Ender IO) 
has duplicate 0001948 resolvedAroma1997 at ic2.core.energy.leg.EnergyNetLocalLeg.tickStart(EnergyNetLocalLeg.java:162) 
related to 0001972 resolvedAroma1997 Server Crash on Startup 

Activities

whatthedrunk

2016-07-11 04:09

reporter   ~0004619

I would like to mention if I load these worlds in single player there is no crash, it only crashes on servers.

Aroma1997

2016-08-04 17:44

developer   ~0004669

I tentatively fixed it. It now logs an error message in the log file. I would appreciate, if someone could give me back a log file of where it would normally happen.

whatthedrunk

2016-08-24 01:02

reporter  

fml-server-latest.log (2,957,804 bytes)

whatthedrunk

2016-08-24 01:04

reporter   ~0004713

I attached the server log, hopefully its what you need. I tried adding IC2 back to the world that I removed it from and now get the error with the newest file on curse. I would like to add it back to All the Mods as soon as I can. :)

Aroma1997

2016-08-24 08:14

developer   ~0004714

Use the latest version on the jenkins and tell me, if it works.

whatthedrunk

2016-08-24 20:03

reporter   ~0004716

World loaded fine with the new file, then crashed.
Crash
http://paste.ubuntu.com/23086126/
Log
http://paste.ubuntu.com/23086133/

After the first crash it seems to be fine, I will have my testers login and try and see if its working but it looks good.

whatthedrunk

2016-08-25 00:49

reporter   ~0004717

Crashes started back up again so I made a google drive with all the logs and crashes.

https://drive.google.com/folderview?id=0ByQjJOciCO7lanFGWkg3TXBieDA&usp=sharing

Issue History

Date Modified Username Field Change
2016-07-11 04:08 whatthedrunk New Issue
2016-07-11 04:09 whatthedrunk Note Added: 0004619
2016-07-12 07:28 Aroma1997 Assigned To => Aroma1997
2016-07-12 07:28 Aroma1997 Status new => assigned
2016-07-12 11:16 Chocohead Category general / other => E-Net, cabling, storage/transformer blocks
2016-07-20 15:53 Chocohead Relationship added has duplicate 0001935
2016-07-23 23:37 Chocohead Relationship added has duplicate 0001938
2016-07-25 10:08 Aroma1997 Relationship added has duplicate 0001941
2016-07-25 10:16 Aroma1997 Relationship deleted has duplicate 0001938
2016-07-27 17:31 Chocohead Relationship added has duplicate 0001943
2016-08-04 17:44 Aroma1997 Note Added: 0004669
2016-08-04 19:25 Aroma1997 Status assigned => feedback
2016-08-08 16:40 Aroma1997 Relationship added has duplicate 0001962
2016-08-10 17:56 Aroma1997 Relationship added has duplicate 0001948
2016-08-20 16:44 Aroma1997 Status feedback => resolved
2016-08-20 16:44 Aroma1997 Resolution open => fixed
2016-08-20 17:25 Chocohead Relationship added related to 0001972
2016-08-24 01:02 whatthedrunk File Added: fml-server-latest.log
2016-08-24 01:04 whatthedrunk Note Added: 0004713
2016-08-24 08:14 Aroma1997 Note Added: 0004714
2016-08-24 20:03 whatthedrunk Note Added: 0004716
2016-08-25 00:49 whatthedrunk Note Added: 0004717